return {
    base="skyscraper-1-crafting", 
    techToUnlock="Skyscrapers_mk1",
    itemName="iron-gear-wheel",
    textName="simple gears(1)",
    textDescription="2 yellow belts input left for 19.33 iron plates/s, 1 yellow belt output right with 9.67 iron gears/s. No inserter stacksize bonus assumed.",
    floor1={
        {name="transport-belt",x="1.5",y="0.5",direction=defines.direction.north},
        {name="splitter",x="1.5",y="1.5",direction=defines.direction.north,splitter_input_priority="none",splitter_output_priority="none"},
        {name="transport-belt",x="1.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="1.5",y="3.5",direction=defines.direction.north},
        {name="transport-belt",x="1.5",y="4.5",direction=defines.direction.north},
        {name="long-underground-belt",x="1.5",y="5.5",direction=defines.direction.north,underground_type="input"},
        {name="transport-belt",x="2.5",y="0.5",direction=defines.direction.north},
        {name="transport-belt",x="2.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="2.5",y="3.5",direction=defines.direction.north},
        {name="transport-belt",x="2.5",y="4.5",direction=defines.direction.north},
        {name="long-underground-belt",x="2.5",y="5.5",direction=defines.direction.north,underground_type="input"},
        {name="inserter",x="3.5",y="0.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="1.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="2.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="4.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="5.5",direction=defines.direction.west},
        {name="assembling-machine-1",x="5.5",y="1.5",recipe="iron-gear-wheel"},
        {name="assembling-machine-1",x="5.5",y="4.5",recipe="iron-gear-wheel"},
        {name="inserter",x="7.5",y="0.5",direction=defines.direction.west},
        {name="inserter",x="7.5",y="1.5",direction=defines.direction.west},
        {name="inserter",x="7.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="7.5",y="4.5",direction=defines.direction.west},
        {name="transport-belt",x="8.5",y="0.5",direction=defines.direction.south},
        {name="underground-belt",x="8.5",y="1.5",direction=defines.direction.south,underground_type="output"},
        {name="inserter",x="8.5",y="2.5",direction=defines.direction.north},
        {name="underground-belt",x="8.5",y="4.5",direction=defines.direction.south,underground_type="input"},
        {name="long-underground-belt",x="8.5",y="5.5",direction=defines.direction.south,underground_type="output"},
    },
    floorN={
        {name="long-underground-belt",x="1.5",y="0.5",direction=defines.direction.north,underground_type="output"},
        {name="splitter",x="1.5",y="1.5",direction=defines.direction.north,splitter_input_priority="none",splitter_output_priority="none"},
        {name="transport-belt",x="1.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="1.5",y="3.5",direction=defines.direction.north},
        {name="transport-belt",x="1.5",y="4.5",direction=defines.direction.north},
        {name="long-underground-belt",x="1.5",y="5.5",direction=defines.direction.north,underground_type="input"},
        {name="long-underground-belt",x="2.5",y="0.5",direction=defines.direction.north,underground_type="output"},
        {name="transport-belt",x="2.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="2.5",y="3.5",direction=defines.direction.north},
        {name="transport-belt",x="2.5",y="4.5",direction=defines.direction.north},
        {name="long-underground-belt",x="2.5",y="5.5",direction=defines.direction.north,underground_type="input"},
        {name="inserter",x="3.5",y="0.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="1.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="2.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="4.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="5.5",direction=defines.direction.west},
        {name="assembling-machine-1",x="5.5",y="1.5",recipe="iron-gear-wheel"},
        {name="assembling-machine-1",x="5.5",y="4.5",recipe="iron-gear-wheel"},
        {name="inserter",x="7.5",y="0.5",direction=defines.direction.west},
        {name="inserter",x="7.5",y="1.5",direction=defines.direction.west},
        {name="inserter",x="7.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="7.5",y="4.5",direction=defines.direction.west},
        {name="long-underground-belt",x="8.5",y="0.5",direction=defines.direction.south,underground_type="input"},
        {name="underground-belt",x="8.5",y="1.5",direction=defines.direction.south,underground_type="output"},
        {name="inserter",x="8.5",y="2.5",direction=defines.direction.north},
        {name="underground-belt",x="8.5",y="4.5",direction=defines.direction.south,underground_type="input"},
        {name="long-underground-belt",x="8.5",y="5.5",direction=defines.direction.south,underground_type="output"},
    },
    floorTop={
        {name="long-underground-belt",x="1.5",y="0.5",direction=defines.direction.north,underground_type="output"},
        {name="splitter",x="1.5",y="1.5",direction=defines.direction.north,splitter_input_priority="none",splitter_output_priority="none"},
        {name="long-underground-belt",x="2.5",y="0.5",direction=defines.direction.north,underground_type="output"},
        {name="transport-belt",x="2.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="2.5",y="3.5",direction=defines.direction.north},
        {name="transport-belt",x="2.5",y="4.5",direction=defines.direction.north},
        {name="transport-belt",x="2.5",y="5.5",direction=defines.direction.north},
        {name="inserter",x="3.5",y="0.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="1.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="2.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="4.5",direction=defines.direction.west},
        {name="inserter",x="3.5",y="5.5",direction=defines.direction.west},
        {name="assembling-machine-1",x="5.5",y="1.5",recipe="iron-gear-wheel"},
        {name="assembling-machine-1",x="5.5",y="4.5",recipe="iron-gear-wheel"},
        {name="inserter",x="7.5",y="0.5",direction=defines.direction.west},
        {name="transport-belt",x="7.5",y="1.5",direction=defines.direction.east},
        {name="transport-belt",x="7.5",y="2.5",direction=defines.direction.south},
        {name="transport-belt",x="7.5",y="3.5",direction=defines.direction.south},
        {name="inserter",x="7.5",y="4.5",direction=defines.direction.west},
        {name="inserter",x="7.5",y="5.5",direction=defines.direction.west},
        {name="long-underground-belt",x="8.5",y="0.5",direction=defines.direction.south,underground_type="input"},
        {name="transport-belt",x="8.5",y="1.5",direction=defines.direction.south},
        {name="transport-belt",x="8.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="8.5",y="3.5",direction=defines.direction.west},
        {name="transport-belt",x="8.5",y="4.5",direction=defines.direction.south},
        {name="transport-belt",x="8.5",y="5.5",direction=defines.direction.south},
    }
}