return {
    base="skyscraper-1-smelting",
    techToUnlock="Skyscrapers_mk1",
    itemName="steel-furnace",
    textName="Smelting chain(1)",
    textDescription="This template takes 3 belts in and has 3 output belts. top row is input, middle is fuel, bottom is output. The template can be chained.",
    floor1={
        {name="transport-belt",x="1.5",y="4.5",direction=defines.direction.north},
        {name="transport-belt",x="3.5",y="4.5",direction=defines.direction.west},
        {name="transport-belt",x="2.5",y="4.5",direction=defines.direction.west},
        {name="transport-belt",x="1.5",y="2.5",direction=defines.direction.east},
        {name="transport-belt",x="3.5",y="3.5",direction=defines.direction.north},
        {name="transport-belt",x="5.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="5.5",y="3.5",direction=defines.direction.west},
        {name="transport-belt",x="4.5",y="3.5",direction=defines.direction.west},
        {name="transport-belt",x="7.5",y="2.5",direction=defines.direction.west},
        {name="transport-belt",x="7.5",y="3.5",direction=defines.direction.south},
        {name="transport-belt",x="6.5",y="3.5",direction=defines.direction.east},
        {name="transport-belt",x="6.5",y="2.5",direction=defines.direction.south},
        {name="transport-belt",x="1.5",y="0.5",direction=defines.direction.east},
        {name="transport-belt",x="1.5",y="1.5",direction=defines.direction.east},
        {name="transport-belt",x="2.5",y="1.5",direction=defines.direction.east},
        {name="transport-belt",x="3.5",y="1.5",direction=defines.direction.east},
        {name="transport-belt",x="2.5",y="0.5",direction=defines.direction.east},
        {name="transport-belt",x="3.5",y="0.5",direction=defines.direction.east},
        {name="transport-belt",x="4.5",y="0.5",direction=defines.direction.east},
        {name="transport-belt",x="5.5",y="0.5",direction=defines.direction.east},
        {name="transport-belt",x="6.5",y="0.5",direction=defines.direction.east},
        {name="transport-belt",x="6.5",y="1.5",direction=defines.direction.east},
        {name="transport-belt",x="8.5",y="0.5",direction=defines.direction.east},
        {name="splitter",x="7",y="4.5",direction=defines.direction.south,splitter_input_priority="none",splitter_output_priority="none"},
        {name="splitter",x="2.5",y="3",direction=defines.direction.east,splitter_input_priority="none",splitter_output_priority="left"},
        {name="splitter",x="4.5",y="2",direction=defines.direction.east,splitter_input_priority="none",splitter_output_priority="left"},
        {name="splitter",x="7.5",y="1",direction=defines.direction.east,splitter_input_priority="none",splitter_output_priority="right"},
        {name="long-underground-belt",x="1.5",y="5.5",direction=defines.direction.north,underground_type="input"},
        {name="long-underground-belt",x="6.5",y="5.5",direction=defines.direction.south,underground_type="output"},
        {name="underground-belt",x="3.5",y="2.5",direction=defines.direction.east,underground_type="input"},
        {name="underground-belt",x="8.5",y="2.5",direction=defines.direction.east,underground_type="output"},
        {name="underground-belt",x="5.5",y="1.5",direction=defines.direction.east,underground_type="input"},
        {name="underground-belt",x="8.5",y="1.5",direction=defines.direction.east,underground_type="output"},
    },
    floorN={
        {name="inserter",x="2.5",y="4.5",direction=defines.direction.west},
        {name="inserter",x="5.5",y="4.5",direction=defines.direction.west},
        {name="inserter",x="2.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="5.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="2.5",y="1.5",direction=defines.direction.west},
        {name="inserter",x="5.5",y="1.5",direction=defines.direction.west},
        {name="steel-furnace",x="4",y="5",direction=defines.direction.north},
        {name="steel-furnace",x="4",y="3",direction=defines.direction.north},
        {name="steel-furnace",x="4",y="1",direction=defines.direction.north},
        {name="transport-belt",x="1.5",y="4.5",direction=defines.direction.north},
        {name="transport-belt",x="6.5",y="4.5",direction=defines.direction.south},
        {name="transport-belt",x="1.5",y="3.5",direction=defines.direction.north},
        {name="transport-belt",x="1.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="6.5",y="3.5",direction=defines.direction.south},
        {name="transport-belt",x="6.5",y="2.5",direction=defines.direction.south},
        {name="transport-belt",x="1.5",y="1.5",direction=defines.direction.north},
        {name="transport-belt",x="6.5",y="1.5",direction=defines.direction.south},
        {name="long-underground-belt",x="1.5",y="5.5",direction=defines.direction.north,underground_type="input"},
        {name="long-underground-belt",x="6.5",y="5.5",direction=defines.direction.south,underground_type="output"},
        {name="long-underground-belt",x="1.5",y="0.5",direction=defines.direction.north,underground_type="output"},
        {name="long-underground-belt",x="6.5",y="0.5",direction=defines.direction.south,underground_type="input"},
    },
    floorTop={
        {name="inserter",x="2.5",y="4.5",direction=defines.direction.west},
        {name="inserter",x="5.5",y="4.5",direction=defines.direction.west},
        {name="inserter",x="2.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="5.5",y="3.5",direction=defines.direction.west},
        {name="inserter",x="2.5",y="1.5",direction=defines.direction.west},
        {name="inserter",x="5.5",y="1.5",direction=defines.direction.west},
        {name="steel-furnace",x="4",y="5",direction=defines.direction.north},
        {name="steel-furnace",x="4",y="3",direction=defines.direction.north},
        {name="steel-furnace",x="4",y="1",direction=defines.direction.north},
        {name="transport-belt",x="1.5",y="4.5",direction=defines.direction.north},
        {name="transport-belt",x="6.5",y="4.5",direction=defines.direction.south},
        {name="transport-belt",x="1.5",y="3.5",direction=defines.direction.north},
        {name="transport-belt",x="1.5",y="2.5",direction=defines.direction.north},
        {name="transport-belt",x="6.5",y="3.5",direction=defines.direction.south},
        {name="transport-belt",x="6.5",y="2.5",direction=defines.direction.south},
        {name="transport-belt",x="1.5",y="1.5",direction=defines.direction.north},
        {name="transport-belt",x="6.5",y="1.5",direction=defines.direction.south},
        {name="long-underground-belt",x="1.5",y="0.5",direction=defines.direction.north,underground_type="output"},
        {name="long-underground-belt",x="6.5",y="0.5",direction=defines.direction.south,underground_type="input"},
    }
}
